--- title: "Get trends by gender" slug: "naver-api-hub-shopping-insight-gender" updated: 2026-10-08T04:16:15Z published: 2026-10-08T04:16:15Z canonical: "api.ncloud-docs.com/naver-api-hub-shopping-insight-gender" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get trends by gender Available in Classic and VPC The Shopping Insight API is a RESTful API that retrieves data from the [Shopping Insight](https://datalab.naver.com/shoppingInsight/sCategory.naver) section of [NAVER DataLab](https://datalab.naver.com/). You can view trends in search clicks for specific shopping categories in the shopping section of NAVER's integrated search and on [NAVER Shopping](https://shopping.naver.com/ns/home) by gender of users. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /shopping/v1/category/gender | ### Request headers For information about the headers common to NAVER API HUB, see [NAVER API HUB request headers](/docs/en/naver-api-hub-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `startDate` | String | Required | Query period start date (`yyyy-mm-dd`) - Retrievable from August 1, 2017 | | `endDate` | String | Required | Query period end date (`yyyy-mm-dd`) | | `timeUnit` | String | Required | Section unit - `date` \| `week` \| `month` - `date`: Daily - `week`: Weekly - `month`: Monthly | | `category` | String | Required | Shopping category code - When selecting a category on NAVER Shopping, this can be identified by the value of the `cat_id` parameter in the URL. | | `device` | String | Optional | Search device - `pc` \| `mo` - `pc`: PC - `mo`: Mobile device - Default: All devices | | `gender` | String | Optional | Gender of search users - `m` \| `f` - `m`: Male - `f`: Female - Default: All genders | | `ages` | Array | Optional | Age of search users - `10` \| `20` \| `30` \| `40` \| `50` \| `60` - `10`: 10-19 - `20`: 20-29 - `30`: 30-39 - `40`: 40-49 - `50`: 50-59 - `60`: 60 or older - Default: All ages | ### Request example The request example is as follows: ``` curl --location --request POST 'https://naverapihub.apigw.ntruss.com/shopping/v1/category/gender' \ --header 'X-NCP-APIGW-API-KEY-ID: {Client ID}' \ --header 'X-NCP-APIGW-API-KEY: {Client Secret}' \ --header 'Content-Type: application/json' \ --data '{ "startDate": "2023-11-01", "endDate": "2023-11-07", "timeUnit": "date", "category": "50000000", "device": "pc", "ages": ["20", "30"] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `startDate` | String | - | Query period start date (`yyyy-mm-dd`) | | `endDate` | String | - | Query period end date (`yyyy-mm-dd`) | | `timeUnit` | String | - | Section unit | | `results` | Array | - | Query result list: [results](/docs/en/naver-api-hub-shopping-insight-gender#results) | #### results The following describes `results`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `title` | String | - | Shopping category name | | `category` | Array | - | Shopping category code | | `data` | Array | - | Click trend data by section: [data](/docs/en/naver-api-hub-shopping-insight-gender#data) | #### data The following describes `data`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `period` | String | - | Start date by section (`yyyy-mm-dd`) | | `group` | String | - | Gender of search users - `m` \| `f` - `m`: Male - `f`: Female | | `ratio` | Number | - | Relative proportion of click volume by section - Relative values, with the highest value in each section set to 100 | ### Response status codes For information about the response status codes common to all NAVER API HUB, see [NAVER API HUB response status codes](/docs/en/naver-api-hub-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "startDate": "2023-11-01", "endDate": "2023-11-07", "timeUnit": "date", "results": [ { "title": "50000000", "category": [ "50000000" ], "data": [ { "period": "2023-11-01", "ratio": 76.30839, "group": "f" }, { "period": "2023-11-01", "ratio": 53.36366, "group": "m" }, { "period": "2023-11-02", "ratio": 70.00509, "group": "f" }, { "period": "2023-11-02", "ratio": 48.09997, "group": "m" } ] } ] } ```